Subject: [lojban] Grammatical Examples in the CLL (was Re: Re: Ungrammatical examples in CLL)

From: Robin Lee Powell <[email-masked]>
Date: Mon, 3 Feb 2003 10:32:58 -0800

On Sun, Feb 02, 2003 at 09:33:00AM -0600, Jordan DeLong wrote:
> On Sun, Feb 02, 2003 at 02:10:00AM -0500, Robert LeChevalier wrote:
> > At 08:36 AM 2/1/03 -0800, Robin Lee Powell wrote:
> > >On Sat, Feb 01, 2003 at 03:25:37PM +0000, Martin Bays wrote:
> > > > Further to the problems with prenex-connective interaction -
> > > >
> > > > 16.10.5:
> > > > roda zo'u mi prami da .ije naku zo'u do prami da
> > > >
> > > > and 16.10.6:
> > > > su'oda zo'u mi prami da .ije naku zo'u do prami da
> > > >
> > > > do not parse. Try them on jbofihe. You can use ge...gi instead,
> > > > and that seems fine, but (as I mentioned the other day) it looks
> > > > like you can't have individually prenexed sentences connected in
> > > > afterthought.
> > > >
> > > > Damned annoying, if you ask me.
> > >
> > >For the record, jbofi'e has been shown to have errors before.
> > 
> > They parse correctly in the official parser.
> 
> This is because the official parser uses an outdated version of the
> BNF. Jbofi'e is right---it is ungrammatical in the newer grammar.
> (Which really sucks, btw.)

No, jbofi'e is wrong.

prenex_30 : terms_80 ZOhU_492

terms_80 : terms_A_81
| terms_80 terms_A_81
;

terms_A_81 : terms_B_82
| terms_A_81 PEhE_494 JOIK_JEK_422 terms_B_82
;

terms_B_82 : term_83
| terms_B_82 CEhE_495 term_83
;

term_83 : sumti_90
| modifier_84
| term_set_85
| NA_KU_810
;

So, a prenex is terms_80 followed by zo'u.

terms_80 can reduco to terms_A_81, which can reduce to terms_B_82, which can
reduce to term_83, which can reduce to NA_KU_810, which is just "na ku".

Unless I'm missing something?

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi